%define path /usr/java
%define version 1.4.1
%define release gcc32.1
%define name j2re-blackdown
%define jredir %{name}-%{version}
%define pluginname      %{path}/%{jredir}/plugin/i386/mozilla/javaplugin_oji.so
%define __spec_install_post %{nil}

Summary: Java(TM) 2 Runtime Environment, Blackdown Edition
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License:        Sun Binary Code License
URL:            http://www.blackdown.org/
Group: Development/Tools
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
The Java 2 Runtime Environment consists of the Java
virtual machine, the Java platform core classes,
and supporting files. It is the runtime part of
the Java 2 SDK, but without the development tools
such as compilers and debuggers.
The JRE is freely redistributable, per the terms
of the included license, when bundled with Java
applets and applications.
This version of the JRE was recieved from Blackdown
but the same terms of the included license apply.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{path}

%install
cd $RPM_BUILD_ROOT/%{path}
tar xfz %{SOURCE0}


%files 
/

%triggerin -- mozilla, %{_bindir}/mozilla
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_PLUGIN_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/plugins

   [ -d "$_MOZILLA_PLUGIN_DIR" ] && ln -sf %pluginname $_MOZILLA_PLUGIN_DIR/javaplugin_oji.so
} &> /dev/null || :

%triggerun -- mozilla, %{_bindir}/mozilla
{
   # Do not remove links on upgrade
   [ $2 -eq 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun
{
   [ $1 -eq 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%changelog
* Mon Mar 08 2004 Troy Dawson <dawson@fnal.gov>
- Packaged blackdowns j2re 1.4.1 into rpm.
- postun and trigger scripts from JPackage Project spec files.

